Bug 200385 - Code completion doesn't work for @Named @Produces getters in non-named class.
Code completion doesn't work for @Named @Produces getters in non-named class.
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Expression Language
7.0.1
All All
: P3 (vote)
: 8.0
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 11:06 UTC by sebapawlak
Modified: 2013-11-14 03:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebapawlak 2011-07-26 11:06:02 UTC
Here is the code from Jboss Weld login example application. 

public class Users {
   
   @PersistenceContext
   private EntityManager userDatabase;
   
   @SuppressWarnings("unchecked")
   @Produces @Named @RequestScoped
   public List<User> getUsers(){
      return userDatabase.createQuery("select u from User u").getResultList();
   }

}

Now the EL code completion should suggest "#{users}" as List<User>, but it doesn't show it. The EL code completion works for @Named web beans perfect.
Comment 1 surlykke 2012-03-16 11:30:17 UTC
I'm affected by this one in NB 7.1.1 too.
Comment 2 Martin Fousek 2013-11-13 10:16:42 UTC
The code completion for these @Named elements should work now.

Fixed in web-main #4d42e257b416.
Comment 3 Quality Engineering 2013-11-14 03:20:00 UTC
Integrated into 'main-silver', will be available in build *201311140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4d42e257b416
User: Martin Fousek <marfous@netbeans.org>
Log: #200385 - Code completion doesn't work for @Named @Produces getters in non-named class


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo